CO_CANtx_t Struct Reference
CANopen_301 » Driver » Transmission of CAN messages

Configuration object for CAN transmit message for specific CANopenNode Object. More...

`#include <CO_driver.h>`

## Data Fields

uint32_t | ident
| CAN identifier as aligned in CAN module.
uint8_t | DLC
| Length of CAN message.
uint8_t | data [8]
| 8 data bytes
volatile bool_t | bufferFull
| True if previous message is still in the buffer.
volatile bool_t | syncFlag
| Synchronous PDO messages has this flag set. More...

## Detailed Description

Configuration object for CAN transmit message for specific CANopenNode Object.

Must be defined in the CO_driver_target.h file.

Data fields of this structure are used exclusively by the driver. Usually it has the following data fields, but they may differ for different microcontrollers. Array of multiple CO_CANtx_t objects is included inside CO_CANmodule_t.

## Field Documentation

## syncFlag

volatile bool_t CO_CANtx_t::syncFlag

Synchronous PDO messages has this flag set.

It prevents them to be sent outside the synchronous window

The documentation for this struct was generated from the following file:

- 301/CO_driver.h